### Callable

- appendFile(file: PathLike | number, data: any, options: WriteFileOptions, callback: function): void
- appendFile(file: PathLike | number, data: any, callback: function): void

- - Defined in node_modules/@types/node/fs.d.ts:1362

  Asynchronously append data to a file, creating the file if it does not exist.

  #### Parameters

  - ##### file: PathLike | number

    A path to a file. If a URL is provided, it must use the `file:` protocol. URL support is experimental. If a file descriptor is provided, the underlying file will not be closed automatically.

  - ##### data: any

    The data to write. If something other than a Buffer or Uint8Array is provided, the value is coerced to a string.

  - ##### options: WriteFileOptions

    Either the encoding for the file, or an object optionally specifying the encoding, file mode, and flag. If `encoding` is not supplied, the default of `'utf8'` is used. If `mode` is not supplied, the default of `0o666` is used. If `mode` is a string, it is parsed as an octal integer. If `flag` is not supplied, the default of `'a'` is used.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

- - Defined in node_modules/@types/node/fs.d.ts:1371

  Asynchronously append data to a file, creating the file if it does not exist.

  #### Parameters

  - ##### file: PathLike | number

    A path to a file. If a URL is provided, it must use the `file:` protocol. URL support is experimental. If a file descriptor is provided, the underlying file will not be closed automatically.

  - ##### data: any

    The data to write. If something other than a Buffer or Uint8Array is provided, the value is coerced to a string.

  - ##### callback: function

    - - (err: ErrnoException): void

      - #### Parameters

        - ##### err: ErrnoException

        #### Returns void

## Index

### Functions

- __promisify__

## Functions

### __promisify__

- __promisify__(file: PathLike | number, data: any, options?: WriteFileOptions): Promise<void>

- - Defined in node_modules/@types/node/fs.d.ts:1387

  Asynchronously append data to a file, creating the file if it does not exist.

  #### Parameters

  - ##### file: PathLike | number

    A path to a file. If a URL is provided, it must use the `file:` protocol. URL support is experimental. If a file descriptor is provided, the underlying file will not be closed automatically.

  - ##### data: any

    The data to write. If something other than a Buffer or Uint8Array is provided, the value is coerced to a string.

  - ##### Optional options: WriteFileOptions

    Either the encoding for the file, or an object optionally specifying the encoding, file mode, and flag. If `encoding` is not supplied, the default of `'utf8'` is used. If `mode` is not supplied, the default of `0o666` is used. If `mode` is a string, it is parsed as an octal integer. If `flag` is not supplied, the default of `'a'` is used.

  #### Returns Promise<void>

Generated using TypeDoc